KJL - Feature #1835

[ESS Leave] Validasi Wajib melakukan Attachment File

11/28/2022 04:10 PM - Mega Yunita

Status: Closed
Priority: Urgent
Assignee: Mega Yunita
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/28/2022
11/30/2022
0%

0.00 hour
1.50 hour

Description
Dear Azid,

Mohon bantuannya untuk membuatkan validasi wajib melakukan Attachment File (.jpg, PDF) pada beberapa Absence Type di table

PHRTMABSTYP, yaitu type

. Cuti Melahirkan, dengan kode absence type 20
. Cuti Haid, dengan kode absence type 30
. ljin Sakit, dengan kode absence type 40

. ljin Pembaptisan Anak Karyawan, dengan kode absence type 50

. ljin Anggota Keluarga di Dalam Satu Rumah Meninggal Dunia, , dengan kode absence type 70
. ljin Istri/Suami, Orang Tua/Mertua, Saudara Kandung/Menantu Meninggal Dunia, dengan kode absence type 80

. ljin Karyawan Menikah, dengan kode absence type 90

. ljin Pernikahan Anak Karyawan, dengan kode absence type 100
0. ljin Mengkhitankan Anak Karyawan, dengan kode absence type 110
5. ljin Istri Melahirkan, dengan kode absence type 60
9
Untuk beberapa Absence Type , hanya berlaku untuk Employee yang berjenis kelamin Perempuan , yaitu :

1. Cuti Melahirkan, dengan kode absence type 20
2. Cuti Haid, dengan kode absence type 30

Jenis kelamin Perempuan, diambil dari PHRPA0001 dengan kode Gender 02

Port : http://remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL

Menu Desktop : My WorkPlace > Request > Time Management > Leave

Menu Mobile : Home > Leave

Referensi Redmine di project BANK KALTENG, no Support #1045

Semoga dapat dimengerti

Terimakasih

History

#1 - 11/28/2022 04:11 PM - Mega Yunita

- Tracker changed from Bug to Feature

#2 - 11/29/2022 10:00 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita
dear mega , udah bisa di test ya

kalau mau ubah kata2nya di table smessage

id :

CEKLVQUC // untuk cuti wanita

CEKATTCUT // untuk attach

package :
bizproc : leave_KJL
http://remote.minovais.com:31138/
http://remote.minovais.com:3000/redmine/issues/1045

custparam : CheckWomenLeave

makasih

#3 - 11/29/2022 10:32 AM - Mega Yunita
- Status changed from QA Test to Closed

sip, sudah berjalan sesuai yang diinginkan.

Thank you
